GLAM2(1)

NAME
glam2 - Gapped Local Alignment of Motifs

SYNOPSIS

glam2 [options] alphabet my_seqs.fa

An alphabet other than p or n is interpreted as the name of an alphabet file.

DESCRIPTION

GLAM2 is a software package for finding motifs in sequences, typically amino-acid or nucleotide sequences. A motif is a re-occurring sequence pattern: typical examples are the TATA box and the CAAX prenylation motif. The main innovation of GLAM2 is that it allows insertions and deletions in motifs.

OPTIONS (DEFAULT SETTINGS)

-h
    Show all options and their default settings.

-o
    Output file (stdout).

-r
    Number of alignment runs (10).

-n
    End each run after this many iterations without improvement (10000).

-2
    Examine both strands - forward and reverse complement.

-z
    Minimum number of sequences in the alignment (2).

-a
    Minimum number of aligned columns (2).

-b
    Maximum number of aligned columns (50).

-w
    Initial number of aligned columns (20).

-d
    Dirichlet mixture file.

-D
    Deletion pseudocount (0.1).

-E
    No-deletion pseudocount (2.0).

-I
    Insertion pseudocount (0.02).

-J
    No-insertion pseudocount (1.0).

-q
    Weight for generic versus sequence-set-specific residue abundances (1e+99).

-t
    Initial temperature (1.2).

-c
    Cooling factor per n iterations (1.44).

-u
    Temperature lower bound (0.1).

-p
    Print progress information at each iteration.

-m
    Column-sampling moves per site-sampling move (1.0).

-x
    Site sampling algorithm: 0=FAST 1=SLOW 2=FFT (0).

-s
    Seed for pseudo-random numbers (1).

SEE ALSO

glam2format(1), glam2mask(1), glam2-purge(1), glam2scan(1)

The full Hypertext documentation of GLAM2 is available online at http://bioinformatics.org.au/glam2/ or on this computer in /usr/share/doc/glam2/.

REFERENCE

If you use GLAM2, please cite: MC Frith, NFW Saunders, B Kobe, TL Bailey (2008) Discovering sequence motifs with arbitrary insertions and deletions, PLoS Computational Biology (in press).

AUTHORS

Martin Frith

    Author of GLAM2.

Timothy Bailey

    Author of GLAM2.

Charles Plessy <plessy@debian.org>

    Formatted this manpage in DocBook XML for the Debian distribution.

COPYRIGHT

The source code and the documentation of GLAM2 are released in the public domain.